Genivia - wsdd__ResolveType Struct Reference

|  | Home | Documentation | wsdd__ResolveType Struct Reference updated Thu Mar 21 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__ResolveType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ResolveType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__ResolveType:
[legend]

## Public Attributes
_wsa5__EndpointReference | wsa5__EndpointReference
| Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ResolveType is a complexType.

struct wsdd__ResolveType operations:

- wsdd__ResolveType* soap_new_wsdd__ResolveType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__ResolveType(struct soap*, wsdd__ResolveType*) default initialize members
- int soap_read_wsdd__ResolveType(struct soap*, wsdd__ResolveType*) deserialize from a source
- int soap_write_wsdd__ResolveType(struct soap*, wsdd__ResolveType*) serialize to a sink
- wsdd__ResolveType* soap_dup_wsdd__ResolveType(struct soap*, wsdd__ResolveType* dst, wsdd__ResolveType <em>src) returns deep copy of wsdd__ResolveType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__ResolveType(wsdd__ResolveType) deep deletes wsdd__ResolveType data members, use only on dst after soap_dup_wsdd__ResolveType(NULL, wsdd__ResolveType *dst, wsdd__ResolveType *src) (use soapcpp2 -Ed)

## Member Data Documentation

_wsa5__EndpointReference wsdd__ResolveType::wsa5__EndpointReference

Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference.

Required element.

The documentation for this struct was generated from the following file:

- wsdd.h